# Copyright 2014 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type


from colander import (
    Boolean,
    MappingSchema,
    SchemaNode,
)

from charmworld.search import BUNDLE


def get_schema(kind):
    """Based on the kind return the right schema."""
    if kind == BUNDLE:
        return BundleDeleter()
    return CharmDeleter()


class CharmDeleter(MappingSchema):
    delete_it = SchemaNode(
        Boolean(), title='Delete this charm',
        missing=False)


class BundleDeleter(MappingSchema):
    delete_it = SchemaNode(
        Boolean(), title='Delete this bundle',
        missing=False)
