old_charm_mapping = {"charm": {
    "type": "object",
    "dynamic": "false",
    "properties": {
        "data": {
            "properties": {
                "_id": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "categories": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "config": {
                    "properties": {
                        "options": {
                            "properties": {
                                "default": {
                                    "type": "string"},
                                "description": {
                                    "type": "string"}
                            }
                        }
                    }
                },
                "date_created": {
                    "type": "date",
                    "format": "dateOptionalTime"
                },
                "description": {"type": "string"},
                "downloads": {"type": "long"},
                "downloads_in_past_30_days": {"type": "long"},
                "downloads_in_past_7_days": {"type": "long"},
                "downloads_in_past_half_year": {"type": "long"},
                "i_provides": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "i_requires": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "is_featured": {"type": "boolean"},
                "name": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "owner": {
                    "type": "string",
                    "index": "not_analyzed", "omit_norms": True,
                    "index_options": "docs"
                },
                "series": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "store_data": {
                    "properties": {
                        "errors": {"type": "string"}
                    }
                },
                "store_url": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "summary": {"type": "string"}
            }
        },
        "provides": {
            "dynamic": "false",
            "properties": {
                "interface": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "relation_name": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "scope": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                }
            }
        },
        "requires": {
            "dynamic": "false",
            "properties": {
                "interface": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "relation_name": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "scope": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                }
            }
        }
    }
}}

old_bundle_mapping = {"bundle": {
    "type": "object",
    "dynamic": "false",
    "properties": {
        "data": {
            "properties": {
                "name": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "owner": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "series": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                },
                "title": {
                    "type": "string",
                    "index": "not_analyzed",
                    "omit_norms": True,
                    "index_options": "docs"
                }
            }
        }
    }
}}
